summaryrefslogtreecommitdiffstats
path: root/academic/qgis/qgis-1.4.0-sip-4.10.patch
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2010-07-03 00:56:33 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-03 02:31:44 -0500
commit938dc2421d0230c2cf6971f581be353d49cb0349 (patch)
tree7ae07f384f44444d27fc4791ff43fe864189cef4 /academic/qgis/qgis-1.4.0-sip-4.10.patch
parent626a343a8753107e0b84c519d6da9ca0ab32c7f1 (diff)
downloadslackbuilds-938dc2421d0230c2cf6971f581be353d49cb0349.tar.gz
slackbuilds-938dc2421d0230c2cf6971f581be353d49cb0349.tar.xz
academic/qgis: Patched to disable broken SIP version check
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'academic/qgis/qgis-1.4.0-sip-4.10.patch')
-rw-r--r--academic/qgis/qgis-1.4.0-sip-4.10.patch12
1 files changed, 12 insertions, 0 deletions
diff --git a/academic/qgis/qgis-1.4.0-sip-4.10.patch b/academic/qgis/qgis-1.4.0-sip-4.10.patch
new file mode 100644
index 0000000000..c78da4b42e
--- /dev/null
+++ b/academic/qgis/qgis-1.4.0-sip-4.10.patch
@@ -0,0 +1,12 @@
+--- qgis-1.4.0-original/cmake/Python.cmake 2009-08-19 20:09:10.000000000 +0100
++++ qgis-1.4.0-patched/cmake/Python.cmake 2010-06-29 09:54:01.043992226 +0100
+@@ -150,9 +150,7 @@
+ # minimal version is 4.7 (to support universal builds)
+ SET (SIP_MIN_VERSION 040700)
+ TRY_RUN_PYTHON (RES "import sip\nprint '%x' % sip.SIP_VERSION" SIP_VERSION)
+- IF (SIP_VERSION EQUAL "${SIP_MIN_VERSION}" OR SIP_VERSION GREATER "${SIP_MIN_VERSION}")
+ SET (SIP_IS_GOOD TRUE)
+- ENDIF (SIP_VERSION EQUAL "${SIP_MIN_VERSION}" OR SIP_VERSION GREATER "${SIP_MIN_VERSION}")
+
+ IF (NOT SIP_IS_GOOD)
+ MESSAGE (STATUS "SIP is required in version 4.7 or later!")